﻿@model IEnumerable<PlaylistViewModel>

@{
    ViewData["Title"] = "Index";
}
<h1>Playlists</h1>
<br />

@using (Html.BeginForm("Filter", "Playlist", FormMethod.Get))
{
    <div class="input-group">
        <form asp-controller="Playlist" asp-action="Filter">
            <select name=criteria>
                <option value="name">Name</option>
                <option value="genre">Genre</option>
                <option value="duration">Duration</option>
            </select>
            <input type="text" name="input" class="form-control" placeholder="Search . . .">
            <input type="submit" value="Search" />
        </form>
    </div>}
<br />
<table class="table">
    <thead>
        <tr>
            <th><b>Title</b></th>
            <th><b>Average Rank</b></th>
            <th><b>Total Playtime</b></th>

        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
        <tr>
            <td>
                <i>@Html.DisplayFor(modelItem => item.Title)</i>

            </td>

            <td>
                <i>@Html.DisplayFor(modelItem => item.AverageRank)</i>
            </td>
            <td>
                <i>@Html.DisplayFor(modelItem => item.TotalDuration) mins</i>
            </td>
            <td>
                <a asp-controller="Playlist" asp-action="Details" asp-route-id="@item.Id">Details</a>
            </td>
            <td>
                <a asp-controller="Playlist" asp-action="Listen" asp-route-id="@item.Id">Play</a>
            </td>
            @if (User.IsInRole("Admin"))
            {
                <td>
                    <a asp-controller="UserPlaylist" asp-action="Edit" asp-route-id="@item.Id">Edit</a>
                </td>
                <td>
                    <a asp-controller="UserPlaylist" asp-action="Delete" asp-route-id="@item.Id">Delete</a>
                </td>
            }
        </tr>
        }

    </tbody>
</table>
<script src="~/js/site.js"></script>